List outgoing webhook events
curl --request GET \
--url https://api.breet.io/v1/transactions/webhooks \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>'import requests
url = "https://api.breet.io/v1/transactions/webhooks"
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>'
}
};
fetch('https://api.breet.io/v1/transactions/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breet.io/v1/transactions/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Breet-Env: <api-key>",
"x-app-id: <api-key>",
"x-app-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breet.io/v1/transactions/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-app-id", "<api-key>")
req.Header.Add("x-app-secret", "<api-key>")
req.Header.Add("X-Breet-Env", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breet.io/v1/transactions/webhooks")
.header("x-app-id", "<api-key>")
.header("x-app-secret", "<api-key>")
.header("X-Breet-Env", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breet.io/v1/transactions/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-app-id"] = '<api-key>'
request["x-app-secret"] = '<api-key>'
request["X-Breet-Env"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "",
"success": true,
"data": [
{
"id": "67a1b2c3d4e5f67890123456",
"integration": "692d994b7ca6e4da422363fb",
"reference": "692f91aa729255932afe9078",
"eventType": "trade.completed",
"payload": {
"event": "trade.completed",
"id": "692f91aa729255932afe9078",
"status": "completed"
},
"url": "https://partner.example.com/webhooks/breet",
"status": "delivered",
"attemptsCount": 1,
"attempts": [
{
"attemptedAt": "2025-12-03T01:26:04.066Z",
"responseStatus": 200,
"responseBody": "{\"ok\":true}"
}
],
"deliveredAt": "2025-12-03T01:26:04.066Z",
"lastAttemptAt": "2025-12-03T01:26:04.066Z",
"expireAt": "2025-12-10T01:26:04.066Z",
"createdAt": "2025-12-03T01:26:04.066Z",
"updatedAt": "2025-12-03T01:26:04.066Z"
}
],
"meta": {
"pages": 1,
"prevPage": null,
"nextPage": null,
"page": 1,
"totalDocs": 1,
"hasPrevPage": false,
"hasNextPage": false
},
"summary": {},
"stats": {}
}Webhooks
List outgoing webhook events
Returns paginated records of outgoing webhooks sent to your webhook URL. Webhooks are persisted for a fixed retention period of 7days.
GET
/
transactions
/
webhooks
List outgoing webhook events
curl --request GET \
--url https://api.breet.io/v1/transactions/webhooks \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>'import requests
url = "https://api.breet.io/v1/transactions/webhooks"
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>'
}
};
fetch('https://api.breet.io/v1/transactions/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breet.io/v1/transactions/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Breet-Env: <api-key>",
"x-app-id: <api-key>",
"x-app-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breet.io/v1/transactions/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-app-id", "<api-key>")
req.Header.Add("x-app-secret", "<api-key>")
req.Header.Add("X-Breet-Env", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breet.io/v1/transactions/webhooks")
.header("x-app-id", "<api-key>")
.header("x-app-secret", "<api-key>")
.header("X-Breet-Env", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breet.io/v1/transactions/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-app-id"] = '<api-key>'
request["x-app-secret"] = '<api-key>'
request["X-Breet-Env"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "",
"success": true,
"data": [
{
"id": "67a1b2c3d4e5f67890123456",
"integration": "692d994b7ca6e4da422363fb",
"reference": "692f91aa729255932afe9078",
"eventType": "trade.completed",
"payload": {
"event": "trade.completed",
"id": "692f91aa729255932afe9078",
"status": "completed"
},
"url": "https://partner.example.com/webhooks/breet",
"status": "delivered",
"attemptsCount": 1,
"attempts": [
{
"attemptedAt": "2025-12-03T01:26:04.066Z",
"responseStatus": 200,
"responseBody": "{\"ok\":true}"
}
],
"deliveredAt": "2025-12-03T01:26:04.066Z",
"lastAttemptAt": "2025-12-03T01:26:04.066Z",
"expireAt": "2025-12-10T01:26:04.066Z",
"createdAt": "2025-12-03T01:26:04.066Z",
"updatedAt": "2025-12-03T01:26:04.066Z"
}
],
"meta": {
"pages": 1,
"prevPage": null,
"nextPage": null,
"page": 1,
"totalDocs": 1,
"hasPrevPage": false,
"hasNextPage": false
},
"summary": {},
"stats": {}
}Authorizations
Query Parameters
Optional. Filter by webhook event type (matches eventType in the stored document).
Webhook event name (matches event / eventType for trade and withdrawal notifications).
Available options:
trade.pending, trade.completed, trade.flagged, trade.deleted, withdrawal.pending, withdrawal.processing, withdrawal.rejected, withdrawal.completed, withdrawal.reversed Was this page helpful?